#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i=0,j,l,brojac=0;
    scanf("%d", &n);
    int x[n],y[n],z[n];

    while(i!=n)
    {
        scanf("%d", &x[i]);
        i++;
    }
    i=0;

    while(i!=n)
    {
        scanf("%d", &y[i]);
        i++;
    }
    i=0;

    while(i!=n)
    {
        scanf("%d", &z[i]);
        i++;
    }

    for(i=0;i<n;i++)
    {
        while(j!=n)
        {
            if(x[i]==y[j])
            {
                for(l=0;l<n;l++)
                {
                    if(z[l]==j+1)
                    {
                        brojac++;
                    }
                }
            }
            j++;
        }
    }

    printf("%d", brojac);
    return 0;
}